// Code generated by MockGen. DO NOT EDIT.
// Source: ./link_token_usecase.go

// Package mock is a generated GoMock package.
package mock

import (
	linkregister "linkregister"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	healthcheck "gitlab.com/commonground/blauwe-knop/health-checker/healthchecker"
)

// MockLinkTokenRepository is a mock of LinkTokenRepository interface.
type MockLinkTokenRepository struct {
	ctrl     *gomock.Controller
	recorder *MockLinkTokenRepositoryMockRecorder
}

// MockLinkTokenRepositoryMockRecorder is the mock recorder for MockLinkTokenRepository.
type MockLinkTokenRepositoryMockRecorder struct {
	mock *MockLinkTokenRepository
}

// NewMockLinkTokenRepository creates a new mock instance.
func NewMockLinkTokenRepository(ctrl *gomock.Controller) *MockLinkTokenRepository {
	mock := &MockLinkTokenRepository{ctrl: ctrl}
	mock.recorder = &MockLinkTokenRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockLinkTokenRepository) EXPECT() *MockLinkTokenRepositoryMockRecorder {
	return m.recorder
}

// AssignBSN mocks base method.
func (m *MockLinkTokenRepository) AssignBSN(bsn string, linkToken linkregister.LinkToken) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AssignBSN", bsn, linkToken)
	ret0, _ := ret[0].(error)
	return ret0
}

// AssignBSN indicates an expected call of AssignBSN.
func (mr *MockLinkTokenRepositoryMockRecorder) AssignBSN(bsn, linkToken interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AssignBSN", reflect.TypeOf((*MockLinkTokenRepository)(nil).AssignBSN), bsn, linkToken)
}

// Get mocks base method.
func (m *MockLinkTokenRepository) Get(debtRequestID string) (*linkregister.LinkToken, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Get", debtRequestID)
	ret0, _ := ret[0].(*linkregister.LinkToken)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Get indicates an expected call of Get.
func (mr *MockLinkTokenRepositoryMockRecorder) Get(debtRequestID interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Get", reflect.TypeOf((*MockLinkTokenRepository)(nil).Get), debtRequestID)
}

// GetBSNFromLinkToken mocks base method.
func (m *MockLinkTokenRepository) GetBSNFromLinkToken(linkToken linkregister.LinkToken) (*linkregister.BSN, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetBSNFromLinkToken", linkToken)
	ret0, _ := ret[0].(*linkregister.BSN)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetBSNFromLinkToken indicates an expected call of GetBSNFromLinkToken.
func (mr *MockLinkTokenRepositoryMockRecorder) GetBSNFromLinkToken(linkToken interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetBSNFromLinkToken", reflect.TypeOf((*MockLinkTokenRepository)(nil).GetBSNFromLinkToken), linkToken)
}

// GetHealthCheck mocks base method.
func (m *MockLinkTokenRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockLinkTokenRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockLinkTokenRepository)(nil).GetHealthCheck))
}

// Update mocks base method.
func (m *MockLinkTokenRepository) Update(debtRequestID string, linkToken linkregister.LinkToken) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", debtRequestID, linkToken)
	ret0, _ := ret[0].(error)
	return ret0
}

// Update indicates an expected call of Update.
func (mr *MockLinkTokenRepositoryMockRecorder) Update(debtRequestID, linkToken interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*MockLinkTokenRepository)(nil).Update), debtRequestID, linkToken)
}
